libetonyek::IWORKGroupElement Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
libetonyek::IWORKGroupElement Class Reference

`#include <IWORKGroupElement.h>`

Inheritance diagram for libetonyek::IWORKGroupElement:

## Public Member Functions
| IWORKGroupElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Protected Member Functions
void | startOfElement () override
| Signalize the start of an element.
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.
void | ensureOpened ()
void | ensureClosed ()
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Protected Attributes
bool | m_groupIsOpened
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKGroupElement()

libetonyek::IWORKGroupElement::IWORKGroupElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKGroupElement::element | ( | int | name | ) |
| overrideprotectedvirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKGroupElement::endOfElement | ( |  | ) |
| overrideprotectedvirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## ◆ ensureClosed()

void libetonyek::IWORKGroupElement::ensureClosed | ( |  | ) |
| protected

Referenced by element(), and endOfElement().

## ◆ ensureOpened()

void libetonyek::IWORKGroupElement::ensureOpened | ( |  | ) |
| protected

Referenced by element().

## ◆ startOfElement()

void libetonyek::IWORKGroupElement::startOfElement | ( |  | ) |
| overrideprotectedvirtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_groupIsOpened

bool libetonyek::IWORKGroupElement::m_groupIsOpened
| protected

Referenced by ensureClosed(), ensureOpened(), and IWORKGroupElement().

The documentation for this class was generated from the following files:

- IWORKGroupElement.h
- IWORKGroupElement.cpp